Organisation
Purge the organisation's data within 24 hours
POST /v1/org/data-deletion: Purge the organisation's data within 24 hours
POST /v1/org/data-deletion
| Operation id | requestDataDeletion |
| Key scope | admin: admin keys only |
| Section | Organisation |
#Request body
| Field | Type | Required | Description |
|---|---|---|---|
confirm | string | yes | min length 1 |
#Example request
curl -X POST "https://api.kaab.ist/v1/org/data-deletion" \
-H "Authorization: Bearer $KAAB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"confirm":"acme"}'
#Responses
#202
Scheduled
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | pattern ^exp_[0-9a-hjkmnp-tv-z]{26}$ |
scheduled_for | string (date-time) | yes |
#Errors
Every error answers with the error envelope; its code is one of the error codes.
| Status | When |
|---|---|
| 400 | request_invalid: request validation failed |
| 401 | Missing or invalid API key |
| 402 | insufficient_credits: top up to continue |
| 403 | The key's scope does not cover this operation |
| 409 | Conflicting state (see error.code) |
| 422 | Semantically invalid request (see error.code) |
| 429 | Rate limited; see Retry-After |
| 500 | internal: unexpected server error |